
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Martin Fowler对将page对象用于Web测试的基本经验法则 / iVAN</title>

    <meta name="description" content="Martin Fowler对将page对象用于Web测试的基本经验法则 本文源自Martin Fowler,文章最初由ThoughtWorks工程师黄博文翻译在自己的博客上,并由译者本人推荐至InfoQ中文站博文共赏专栏.本译文在Martin Fowler本人的许可下,由InfoQ中文站进行修订后,在这里给大家分享. 当你在为Web页面编写测试时,你需要操作该Web页面上的元素来点击链接或验证显示的内容.然而,如果你在测试代码中直接操作HTML元素,那么你的代码是及其脆弱的,因为UI会经常变动.一个page对象可以封装一个HTML页面或部分页面,你可以通过提供的应用">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Martin Fowler对将page对象用于Web测试的基本经验法则</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>本文源自Martin Fowler，文章最初由ThoughtWorks工程师黄博文翻译在自己的博客上，并由译者本人推荐至InfoQ中文站博文共赏专栏。本译文在Martin Fowler本人的许可下，由InfoQ中文站进行修订后，在这里给大家分享。</p>
<p>当你在为Web页面编写测试时，你需要操作该Web页面上的元素来点击链接或验证显示的内容。然而，如果你在测试代码中直接操作HTML元素,那么你的代码是及其脆弱的，因为UI会经常变动。一个page对象可以封装一个HTML页面或部分页面，你可以通过提供的应用程序特定的API来操作页面元素，而不需要在HTML中四处搜寻。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMVI5MzA1MTA4LTAuanBn.jpg"></p>
<p>page对象的一个基本经验法则是，凡是人类能做的事，page对象通过软件客户端都能够做到。它也应当提供一个易于编程的接口并隐藏窗口中低层的部件。所以访问一个文本框应该通过一个访问方法（accessor method）来实现字符串的获取与返回，复选框应当使用布尔值，按钮应当被表示为行为导向的方法名。page对象应当将在GUI控件上所有查询和操作数据的行为封装为方法。一个好的经验法则是，即使改变具体的控制，page对象的接口也不应当发生变化。</p>
<p>尽管该术语是”页面“对象，并不意味着针对每个页面建立一个这样的对象，比如页面有重要意义的元素可以独立为一个page对象[1]。所以，一个显示多个相册的页面可以有一个相册列表的page对象，该对象包含了几个相册page对象。也有可能会有一个页眉page对象及一个页脚page对象。也就是说，如果某些复杂UI的层次结构只是用来组织UI，那么它就不应当与page对象扯上关系。经验法则的目的在于通过给页面建模，从而对应用程序的使用者变得有意义。</p>
<p>查看本栏目更多精彩内容：http://www.bianceng.cnhttp://www.bianceng.cn/Programming/extra/</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-04 08:35:28</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e9%a1%b5%e9%9d%a2/" title="页面">页面</a>, <a href="https://www.iamivan.net/tag/%e7%bb%8f%e9%aa%8c/" title="经验">经验</a>, <a href="https://www.iamivan.net/tag/%e5%85%83%e7%b4%a0/" title="元素">元素</a>, <a href="https://www.iamivan.net/tag/%e5%af%b9%e8%b1%a1/" title="对象">对象</a>, <a href="https://www.iamivan.net/tag/page/" title="page">page</a>, <a href="https://www.iamivan.net/tag/%e5%9f%ba%e6%9c%ac%e6%b3%95%e5%88%99/" title="基本法则">基本法则</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Martin Fowler对将page对象用于Web测试的基本经验法则的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJ2qW2z.html" rel="bookmark">&lbrack;翻译&rsqb;-马丁&amp;amp&semi;&num;183&semi;福勒-page对象</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				译者注:这篇文章翻译自马丁·福勒(Martin Flower,对,没错,就是软件教父)官网的一篇文章,原文出处在文底.如果你正在做WEB自动化测试,那么我强烈推荐你看这篇文章.另外透露Martin Flower将于10月份左右来成都ThoughtWorks办公室,大家有机会一睹他的风采. 当你在为web页面编写测试时,你需要操作该web页面上的元素来点击链接或确定显示的内容.然后,如果你在测试代码中直接操作html元素,那么你的代码是机器脆弱的,因为UI会经常变动.一个page对象可以封装一个h			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/4MYR8lp.html" rel="bookmark">BaaS云架构核心模式之Serverless架构 - 用服务代替服务器&lpar;Martin Fowler&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Martin Fowler最近非常推崇的serverless架构模式,是BaaS云架构实现的核心架构模式. Martin Fowler在2016.6.17号发表了一篇博客: &lt;Serverless Architectures&gt;,引起业界广泛关注: 在这篇博客里,他介绍了serverless架构,以及FaaS,Microservice,Docker等流行的架构和概念,描述了Amazon AWS lambda的价值, 进一步将这种云时代的架构清晰的展现在大家的视野里. 本文很多内容来自这篇博客,让			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwW5V5z.html" rel="bookmark">有没网友把DevExpress XtraReports用于web套打上而且成功的&quest;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 有没网友把DevExpressXtraReports用于web套打上而且成功的? 解决方案 解决方案二:up			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6ZanWM.html" rel="bookmark">ADP 0&period;72发布 用于Web数据库编程设计</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ADP是一种编程语言,用于Web数据库编程设计.它是一种脚本语言和轻量级的编程语言,它可以混合使用SQL轻松.这是很容易安装. ADP 0.72主要是修正了一些已知的错误. 作业系统: http://www.aliyun.com/zixun/aggregation/11691.html&quot;&gt;MacOSX, Linux, Windows 下载地址: http://sourceforge.jp/projects/adp/downloads/52397/adp_src_072.tar.gz/htt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boKYD6b.html" rel="bookmark">Martin Fowler竟然不是第一个提出微服务架构概念的？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				王磊:前ThoughtWorks首席咨询师,&lt;微服务架构与实践&gt;作者,翻译有&lt;DevOps Handbook&gt;,国内较早倡导和实践微服务的先行者,有丰富的微服务/DevOps/持续交付实战经验 微服务架构那点事 相信很多朋友了解微服务架构都是从Martin Fowler的那篇文章开始.而实际上,Martin却并不是最早谈及微服务架构的,本篇文章就和你聊聊微服务架构定义的那点事. 最易懂的版本 Martin Fowler的这篇文章&lt;Microservices&gt;通俗易懂的讲			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze0BBxp.html" rel="bookmark">Martin Fowler谈如何理解事件驱动</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				去年年底,ThoughtWorks内部开展了一个研讨会,讨论&quot;事件驱动&quot;应用程序的性质.在过去的几年里,他们建立了许多基于事件的系统,有被称赞,也有被吐槽.ThoughtWorks的北美办公室组织了一次峰会,来自世界各地的ThoughtWorks高级开发人员在会上分享了他们的想法. 峰会的最大结果是得出这样的一个结论:当人们谈论&quot;事件&quot;时,他们实际上意味着一些完全不同的事情. 所以Martin Fowler花了很多时间试图从中挑出一些有用的模式, 本文就是对这些内容			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2Jj2vb.html" rel="bookmark">哪位大哥能告诉我EJB如何应用于WEB</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 最近公司刚应用java开发的,经理想用EJB,我看了一些文章都是需要建EJBProject,请问EJBProject如何在Web程序应用呢?因为真的不太懂,哪位大哥帮帮忙麻烦,给个详细的提示.小弟我先谢谢了! 解决方案 解决方案二:现在一般的web项目很少有用EJB的了,基本都是Spring,找本SpringInAction看看解决方案三:EJB应用到web项目中也是做业务处理层的应用,就想Spring对业务处理层的应用一样.lz的项目如果涉及到分布式应用比较多选择EJB还是不错的.解			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZ73wOb.html" rel="bookmark">JSP page对象</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JSP内置对象--page对象 一.page对象:是指指向当前JSP页面本身,有点像类中的this指针,它是java.long.Object类的实例. 二.常用方法如下:主要是Object类中声明的方法 class getClass() 返回此Object的类 int hashCode() 返回此Object的hash码 boolean equals(Object obj) 判断Object是否与指导的Object对象相等 void copy(Object obj)把此Object拷贝到指定的O			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqVK4Yp.html" rel="bookmark">Selenium v2&period;0b2发布 用于Web应用程序测试的工具</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Selenium也是一个用于Web应用程序测试的工具.Selenium 测试直接运行在浏览器中,就像真正的用户在操作一样.支持的浏览器包括IE,Mozilla和Firefox等.这个工具的主要功能包括:测试与浏览器的兼容性--测试你的应用程序看是否能够很好得工作在不同浏览器和操作系统之上.测试系统功能--创建衰退测试检验软件功能和用户需求. 支持自动录制动作,和自动生成.Net.Java.Perl等不同语言的测试脚本. Selenium 是 ThoughtWorks 专门为 Web 应用程序编写			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqR4Rp.html" rel="bookmark" class="title">最新python错误  求解</a>
					<div>
						问题描述 最新python错误 求解 TypeError: 'iteration' is an invalid keyword argument for this function 解决方案 把ite ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPgXvM.html" rel="bookmark" class="title">ASP内置对象详解之ObjectContext对象</a>
					<div>
						object|对象|内置对象|详解 该对象用于控制Active Server Pages的事务处理.事务处理由Microsoft Transaction Server (MTS)管理. 事件 Obje ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3d5mM.html" rel="bookmark" class="title">php运用readfile函数给隐藏下载文件地址增加权限判断</a>
					<div>
						1 以上代码实现了真是URL路径的隐藏功能, 本页开头可以进行权限判断. 2 效果如图,我们看到下面文件下载的URL已经被test.php隐藏.     &lt;?php 02 $file = get ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMq5nkM.html" rel="bookmark" class="title">用Java实现断点续传</a>
					<div>
						(一)断点续传的原理 其实断点续传的原理很简单,就是在Http的请求上和一般的下载有所不同而已.打个比方,浏览器请求服务器上的一个文时,所发出的请求如下:假设服务器域名为wwww.sjtu.edu.c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKnoWz.html" rel="bookmark" class="title">在C&num;中实现消息过滤</a>
					<div>
						In C# we can filter our application's messages so some of them don't get dispatched. See the example ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLxn2b.html" rel="bookmark" class="title">超快启动火狐只需三步</a>
					<div>
						火狐是一款非常优秀的开源浏览器,但是有的用户说它的启动速度有点忙,下面就告诉你三招,让你的火狐狸快速启动. 第一招:修改about:config参数:打开Firfox浏览器,在地址栏输入: about ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myrj5Zp.html" rel="bookmark" class="title">酷狗如何对歌词进行锁定、解锁</a>
					<div>
						打开酷狗,把鼠标移到歌词上,就会显示歌词的菜单,点击&quot;锁定&quot;图标即可锁定歌词 解锁的话,右键点击任务栏里的酷狗图标,选择&quot;解锁歌词&quot;即可					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6waBz.html" rel="bookmark" class="title">Python中用PIL库批量给图片加上序号的教程</a>
					<div>
						  这篇文章主要介绍了Python中用PIL库批量给图片加上序号的教程,PIL库是Python中一个非常强大的处理图片的库,需要的朋友可以参考下 女友让我给她论文的图片上加上字母序号,本来觉得是个很简 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EARxM.html" rel="bookmark" class="title">Win7系统下设置支付宝和数字证书的方法</a>
					<div>
						  1.首先设置一下浏览器,这里举例IE8浏览器,首先打开浏览器,然后点击&quot;工具--Internet选项&quot;项; 2.在弹出来的对话框中,切换到&quot;高级&quot;选项卡,然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6OmXb.html" rel="bookmark" class="title">调查称计算机专业学生网瘾多逃课率高</a>
					<div>
						□记者 肖波 和其他专业相比,&quot;近水楼台&quot;的计算机专业大学生有更多机会上网,而他们过度使用网络的比例也比其他专业学生高.记者昨天从上海高校心理协会获悉,一份最新的调查对比显示,计算 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NXOrM.html" rel="bookmark" class="title">递归函数（三）：归纳原理</a>
					<div>
						递归函数(一):开篇递归函数(二):编写递归函数的思路和技巧递归函数(三):归纳原理递归函数(四):全函数与计算的可终止性递归函数(五):递归集与递归可枚举集递归函数(六):最多有多少个程序递归函数( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Z22YM.html" rel="bookmark" class="title">java新人 求指点~~~</a>
					<div>
						问题描述 大虾们好~~小子不才是某小公司入职半年的小小java程序员~有少量的web开发经验,现在感觉生活上有压力,欲在事业上寻求突破,望大虾们指点,一个合格的程序员应当怎样提高自己的技术水平?目前感 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Z8rAp.html" rel="bookmark" class="title">为什么没有拿出来呢&lpar;内有代码&rpar;</a>
					<div>
						问题描述 本帖最后由 独孤求败 于 2015-2-27 14:55 编辑 即使是存到db里面去了 NSArray *chats = ;为什么没有拿出来呢 解决方案 这有根据时间和数量来分别获取的.打印 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYld7p.html" rel="bookmark" class="title">listview循环排序，怎么记录排序顺序？</a>
					<div>
						问题描述 listview循环排序,怎么记录排序顺序? listview循环排序,将某个项目提前,则其余的自动后退一位,怎么记录排序顺序? 解决方案 http://www.cnblogs.com/ic ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7Oqwp.html" rel="bookmark" class="title">form表单中提交servlet接受不到，但是在地址栏中点击enter却可以，帮忙看看</a>
					<div>
						问题描述 &lt;form action=&quot;upload.action&quot; enctype=&quot;multipart/form-data&quot; method=&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Ayj4z.html" rel="bookmark" class="title">百度UEditor编辑器图片上传目录的修改设置教程</a>
					<div>
						方法一,通过修改php来改变UEditor编辑器图片上传目录 UEditor的图片上传需要自己设置一下功能才能正常.同时,如下图所示,图片上传插件的&quot;在线管理&quot;.&quot;图片搜 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvmeyrb.html" rel="bookmark" class="title">Java 8新特性探究（十）StampedLock将是解决同步问题的新宠</a>
					<div>
						Java8就像一个宝藏,一个小的API改进,也足与写一篇文章,比如同步,一直是多线程并发编程的一个老话题,相信没有人喜欢同步的代码,这会降低应用的吞吐量等性能指标,最坏的时候会挂起死机,但是即使这样你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Royob.html" rel="bookmark" class="title">组图：方舟子遇袭案今日开庭支持者庭外冲突</a>
					<div>
						10月10日上午消息,方舟子和方玄昌遇袭案今日在石景山法院开庭审理,媒体没有获得这一案件的旁听证.方舟子按照惯例没有现身,其代理律师彭剑和另一受害人方玄昌共同出席庭审.庭外,双方支持者发生较为激烈的冲 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkZjlM.html" rel="bookmark" class="title">网站怎么实现会员免费发布商品供求信息</a>
					<div>
						问题描述 网站怎么实现会员免费发布商品供求信息 比如,在我网站注册的会员可以在网站上免费发布供求信息,这个技术怎么可以实现 解决方案 http://www.51aspx.com/code/GengQi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqEKVb.html" rel="bookmark" class="title">惠普今年芯片采购额将增至126亿超诺基亚</a>
					<div>
						据有关数据显示,惠普公司在今年的芯片采购额将增长至126亿美元,较去年的109.9亿美元有大幅提升.同时,惠普将取代诺基亚成为今年头号芯片采购OEM厂商. 关于芯片采购额,排在第二名的是三星,和去年的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5R1qDz.html" rel="bookmark" class="title">迅雷公布Q4财报&comma;总营收达到4670万美元</a>
					<div>
						3月12日,迅雷(纳斯达克股票代码:XNEI)今天发布了截至12月31日的2014财年第四季度及全年未审计财报.财报显示,2014年第四季度,迅雷总营收达到4670万美元,同比增长7.1%,环比下滑5 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEY78ob.html" rel="bookmark" class="title">Android Monkeyrunner Test</a>
					<div>
						关于Android自动化测试,研究了Monkey,Robotium 这次来看下 Monkeyrunner. 具体实践最靠谱的当然还是官网资料了. http://developer.android.co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqx35p.html" rel="bookmark" class="title">jQuery simplePage&plus;AJAX plus分页插件用法实例&lowbar;jquery</a>
					<div>
						本文实例讲述了jQuery simplePage+AJAX plus分页插件.分享给大家供大家参考,具体如下: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD X ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxEw10p.html" rel="bookmark" class="title">HTML图标</a>
					<div>
						○ ○ ■ ■ ■ ■ ●					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Nmq3p.html" rel="bookmark" class="title">jquery实现像栅栏一样左右滑出式二级菜单效果代码&lowbar;jquery</a>
					<div>
						本文实例讲述了jquery实现像栅栏一样左右滑出式二级菜单效果代码.分享给大家供大家参考.具体如下: 这里演示了jquery实现像栅栏一样的左右滑出式二级菜单,会向左或向右滑出,支持中英文,使用时别忘 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJO60Vb.html" rel="bookmark" class="title">jQuery基础框架浅入剖析&lowbar;jquery</a>
					<div>
						一.原型模式结构 复制代码 代码如下: // 定义一个jQuery构造函数 var jQuery = function() { }; // 扩展jQuery原型 jQuery.prototype =  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW78B7M.html" rel="bookmark" class="title">ASP&period;NET WebForm ViewState 抓包代码&lpar;1&sol;2&rpar;</a>
					<div>
						asp教程.net webform 开发的站点抓包的功能.该功能要求使用该网点内的帐号通过我们自己的程序获取网站内的数据.其间使用了httpwebrequest 进行抓包.具体的抓包过程就不重点讨论了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyW6lJz.html" rel="bookmark" class="title">关于wtk配置jvm的问题</a>
					<div>
						问题描述 有谁知道wtk中的jvmlocation设置是放在哪个文件里的?我想手动更改jvm路径 解决方案 解决方案二:找到了.在bin里面.解决方案三:grepjavapathtowtkWTK2.5 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDXkrrz.html" rel="bookmark" class="title">苹果iCloud&OpenCurlyDoubleQuote;入驻&rdquo;中国页面被删</a>
					<div>
						昨日有消息称,江西抚州市政府公开信息显示,苹果公司开始将iCloud 中国用户数据迁移至中国电信云存储.如果这是真的,小伙伴们确实要欢天喜地了.因为苹果iCloud服务器一直在国外,国内用户访问苹果A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9NqPVp.html" rel="bookmark" class="title">新疆电信新疆联通签网络合作协议</a>
					<div>
						1月15日,中国电信新疆公司与中国联通新疆分公司举行网络战略合作协议签约仪式,双方将本着互惠互利.公平对等的原则,在共建共享.资源开放和合作维护方面开展友好合作. &quot;共建&quot;是指双方 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
